# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXProcessorId

Function

Returns the identifier of the current processor in a multiprocessor machine.

Syntax
`
#include <dx/dx.h>
`

int DXProcessorId()

Functional Details

The processor identifier is a number ranging from 0 to n-1, where n is the number of processors in use. This routine is not generally needed by modules.

Return Value

Returns the processor identifier. Always returns 0 (zero) for a single processor machine.

See Also

`DXProcessors`

13.8 , "Parallelism".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]